Secrets of Toanium - Support #409

Is loadMapFeatures obsolete
10/17/2025 06:12 PM - Administrator Administrator

Status: Closed Start date: 10/17/2025
Priority: Normal Due date:

Assignee: Jay Gischer % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

This code makes sure that some basic data structures are in place and that features such as lighting, terrain, and doors are copied
from tiles to a map.

However, we have refactored maps, terrain, lighting and doors so that these are found on a map dynamically, and no copying is
needed.

So maybe we can remove this?

History

#1 - 11/14/2025 03:41 AM - Frank Fernandez
- Status changed from New to Resolved

- Assignee changed from Frank Fernandez to Jay Gischer

Tried using the map editor with the function call commented out, seems to work fine? Let me know if something explodes.

#2 - 11/18/2025 05:49 PM - Administrator Administrator

- Status changed from Resolved to Closed

Pushed with 0.30.0
